# Generated by the protocol buffer compiler.  DO NOT EDIT!
# source: lint.proto

import sys
_b=sys.version_info[0]<3 and (lambda x:x) or (lambda x:x.encode('latin1'))
from google.protobuf import descriptor as _descriptor
from google.protobuf import message as _message
from google.protobuf import reflection as _reflection
from google.protobuf import symbol_database as _symbol_database
from google.protobuf import descriptor_pb2
# @@protoc_insertion_point(imports)

_sym_db = _symbol_database.Default()


from google.protobuf import descriptor_pb2 as google_dot_protobuf_dot_descriptor__pb2


DESCRIPTOR = _descriptor.FileDescriptor(
  name='lint.proto',
  package='gitaly',
  syntax='proto3',
  serialized_pb=_b('\n\nlint.proto\x12\x06gitaly\x1a google/protobuf/descriptor.proto\"\xe5\x01\n\x0cOperationMsg\x12*\n\x02op\x18\x01 \x01(\x0e\x32\x1e.gitaly.OperationMsg.Operation\x12/\n\x0bscope_level\x18\x02 \x01(\x0e\x32\x1a.gitaly.OperationMsg.Scope\"D\n\tOperation\x12\x0b\n\x07UNKNOWN\x10\x00\x12\x0b\n\x07MUTATOR\x10\x01\x12\x0c\n\x08\x41\x43\x43\x45SSOR\x10\x02\x12\x0f\n\x0bMAINTENANCE\x10\x03\"2\n\x05Scope\x12\x0e\n\nREPOSITORY\x10\x00\x12\x0b\n\x07STORAGE\x10\x02\"\x04\x08\x01\x10\x01*\x06SERVER:6\n\x0bintercepted\x12\x1f.google.protobuf.ServiceOptions\x18\xfe\x82\x05 \x01(\x08:G\n\x07op_type\x12\x1e.google.protobuf.MethodOptions\x18\xff\x82\x05 \x01(\x0b\x32\x14.gitaly.OperationMsg:<\n\x12intercepted_method\x12\x1e.google.protobuf.MethodOptions\x18\x80\x83\x05 \x01(\x08:0\n\x07storage\x12\x1d.google.protobuf.FieldOptions\x18\xe1\xc8\x05 \x01(\x08:3\n\nrepository\x12\x1d.google.protobuf.FieldOptions\x18\xe2\xc8\x05 \x01(\x08::\n\x11target_repository\x12\x1d.google.protobuf.FieldOptions\x18\xe3\xc8\x05 \x01(\x08:>\n\x15\x61\x64\x64itional_repository\x12\x1d.google.protobuf.FieldOptions\x18\xe4\xc8\x05 \x01(\x08\x42\x34Z2gitlab.com/gitlab-org/gitaly/v15/proto/go/gitalypbb\x06proto3')
  ,
  dependencies=[google_dot_protobuf_dot_descriptor__pb2.DESCRIPTOR,])


INTERCEPTED_FIELD_NUMBER = 82302
intercepted = _descriptor.FieldDescriptor(
  name='intercepted', full_name='gitaly.intercepted', index=0,
  number=82302, type=8, cpp_type=7, label=1,
  has_default_value=False, default_value=False,
  message_type=None, enum_type=None, containing_type=None,
  is_extension=True, extension_scope=None,
  options=None, file=DESCRIPTOR)
OP_TYPE_FIELD_NUMBER = 82303
op_type = _descriptor.FieldDescriptor(
  name='op_type', full_name='gitaly.op_type', index=1,
  number=82303, type=11, cpp_type=10, label=1,
  has_default_value=False, default_value=None,
  message_type=None, enum_type=None, containing_type=None,
  is_extension=True, extension_scope=None,
  options=None, file=DESCRIPTOR)
INTERCEPTED_METHOD_FIELD_NUMBER = 82304
intercepted_method = _descriptor.FieldDescriptor(
  name='intercepted_method', full_name='gitaly.intercepted_method', index=2,
  number=82304, type=8, cpp_type=7, label=1,
  has_default_value=False, default_value=False,
  message_type=None, enum_type=None, containing_type=None,
  is_extension=True, extension_scope=None,
  options=None, file=DESCRIPTOR)
STORAGE_FIELD_NUMBER = 91233
storage = _descriptor.FieldDescriptor(
  name='storage', full_name='gitaly.storage', index=3,
  number=91233, type=8, cpp_type=7, label=1,
  has_default_value=False, default_value=False,
  message_type=None, enum_type=None, containing_type=None,
  is_extension=True, extension_scope=None,
  options=None, file=DESCRIPTOR)
REPOSITORY_FIELD_NUMBER = 91234
repository = _descriptor.FieldDescriptor(
  name='repository', full_name='gitaly.repository', index=4,
  number=91234, type=8, cpp_type=7, label=1,
  has_default_value=False, default_value=False,
  message_type=None, enum_type=None, containing_type=None,
  is_extension=True, extension_scope=None,
  options=None, file=DESCRIPTOR)
TARGET_REPOSITORY_FIELD_NUMBER = 91235
target_repository = _descriptor.FieldDescriptor(
  name='target_repository', full_name='gitaly.target_repository', index=5,
  number=91235, type=8, cpp_type=7, label=1,
  has_default_value=False, default_value=False,
  message_type=None, enum_type=None, containing_type=None,
  is_extension=True, extension_scope=None,
  options=None, file=DESCRIPTOR)
ADDITIONAL_REPOSITORY_FIELD_NUMBER = 91236
additional_repository = _descriptor.FieldDescriptor(
  name='additional_repository', full_name='gitaly.additional_repository', index=6,
  number=91236, type=8, cpp_type=7, label=1,
  has_default_value=False, default_value=False,
  message_type=None, enum_type=None, containing_type=None,
  is_extension=True, extension_scope=None,
  options=None, file=DESCRIPTOR)

_OPERATIONMSG_OPERATION = _descriptor.EnumDescriptor(
  name='Operation',
  full_name='gitaly.OperationMsg.Operation',
  filename=None,
  file=DESCRIPTOR,
  values=[
    _descriptor.EnumValueDescriptor(
      name='UNKNOWN', index=0, number=0,
      options=None,
      type=None),
    _descriptor.EnumValueDescriptor(
      name='MUTATOR', index=1, number=1,
      options=None,
      type=None),
    _descriptor.EnumValueDescriptor(
      name='ACCESSOR', index=2, number=2,
      options=None,
      type=None),
    _descriptor.EnumValueDescriptor(
      name='MAINTENANCE', index=3, number=3,
      options=None,
      type=None),
  ],
  containing_type=None,
  options=None,
  serialized_start=166,
  serialized_end=234,
)
_sym_db.RegisterEnumDescriptor(_OPERATIONMSG_OPERATION)

_OPERATIONMSG_SCOPE = _descriptor.EnumDescriptor(
  name='Scope',
  full_name='gitaly.OperationMsg.Scope',
  filename=None,
  file=DESCRIPTOR,
  values=[
    _descriptor.EnumValueDescriptor(
      name='REPOSITORY', index=0, number=0,
      options=None,
      type=None),
    _descriptor.EnumValueDescriptor(
      name='STORAGE', index=1, number=2,
      options=None,
      type=None),
  ],
  containing_type=None,
  options=None,
  serialized_start=236,
  serialized_end=286,
)
_sym_db.RegisterEnumDescriptor(_OPERATIONMSG_SCOPE)


_OPERATIONMSG = _descriptor.Descriptor(
  name='OperationMsg',
  full_name='gitaly.OperationMsg',
  filename=None,
  file=DESCRIPTOR,
  containing_type=None,
  fields=[
    _descriptor.FieldDescriptor(
      name='op', full_name='gitaly.OperationMsg.op', index=0,
      number=1, type=14, cpp_type=8, label=1,
      has_default_value=False, default_value=0,
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      options=None, file=DESCRIPTOR),
    _descriptor.FieldDescriptor(
      name='scope_level', full_name='gitaly.OperationMsg.scope_level', index=1,
      number=2, type=14, cpp_type=8, label=1,
      has_default_value=False, default_value=0,
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      options=None, file=DESCRIPTOR),
  ],
  extensions=[
  ],
  nested_types=[],
  enum_types=[
    _OPERATIONMSG_OPERATION,
    _OPERATIONMSG_SCOPE,
  ],
  options=None,
  is_extendable=False,
  syntax='proto3',
  extension_ranges=[],
  oneofs=[
  ],
  serialized_start=57,
  serialized_end=286,
)

_OPERATIONMSG.fields_by_name['op'].enum_type = _OPERATIONMSG_OPERATION
_OPERATIONMSG.fields_by_name['scope_level'].enum_type = _OPERATIONMSG_SCOPE
_OPERATIONMSG_OPERATION.containing_type = _OPERATIONMSG
_OPERATIONMSG_SCOPE.containing_type = _OPERATIONMSG
DESCRIPTOR.message_types_by_name['OperationMsg'] = _OPERATIONMSG
DESCRIPTOR.extensions_by_name['intercepted'] = intercepted
DESCRIPTOR.extensions_by_name['op_type'] = op_type
DESCRIPTOR.extensions_by_name['intercepted_method'] = intercepted_method
DESCRIPTOR.extensions_by_name['storage'] = storage
DESCRIPTOR.extensions_by_name['repository'] = repository
DESCRIPTOR.extensions_by_name['target_repository'] = target_repository
DESCRIPTOR.extensions_by_name['additional_repository'] = additional_repository
_sym_db.RegisterFileDescriptor(DESCRIPTOR)

OperationMsg = _reflection.GeneratedProtocolMessageType('OperationMsg', (_message.Message,), dict(
  DESCRIPTOR = _OPERATIONMSG,
  __module__ = 'lint_pb2'
  # @@protoc_insertion_point(class_scope:gitaly.OperationMsg)
  ))
_sym_db.RegisterMessage(OperationMsg)

google_dot_protobuf_dot_descriptor__pb2.ServiceOptions.RegisterExtension(intercepted)
op_type.message_type = _OPERATIONMSG
google_dot_protobuf_dot_descriptor__pb2.MethodOptions.RegisterExtension(op_type)
google_dot_protobuf_dot_descriptor__pb2.MethodOptions.RegisterExtension(intercepted_method)
google_dot_protobuf_dot_descriptor__pb2.FieldOptions.RegisterExtension(storage)
google_dot_protobuf_dot_descriptor__pb2.FieldOptions.RegisterExtension(repository)
google_dot_protobuf_dot_descriptor__pb2.FieldOptions.RegisterExtension(target_repository)
google_dot_protobuf_dot_descriptor__pb2.FieldOptions.RegisterExtension(additional_repository)

DESCRIPTOR.has_options = True
DESCRIPTOR._options = _descriptor._ParseOptions(descriptor_pb2.FileOptions(), _b('Z2gitlab.com/gitlab-org/gitaly/v15/proto/go/gitalypb'))
# @@protoc_insertion_point(module_scope)
